Index: trunk/BNC/src/RTCM3/RTCM3Decoder.cpp
===================================================================
--- trunk/BNC/src/RTCM3/RTCM3Decoder.cpp	(revision 9204)
+++ trunk/BNC/src/RTCM3/RTCM3Decoder.cpp	(revision 9210)
@@ -1047,7 +1047,9 @@
     GETFLOAT(eph._sqrt_A,             32, 1.0 / (double )(1 << 19))
     if (eph._sqrt_A < 1000.0) {
+#ifdef BNC_DEBUG_BCEP
       emit(newMessage(QString("%1: Block %2 (%3) SQRT_A %4 m!")
            .arg(_staID).arg(1020,4).arg(eph._prn.toString().c_str())
            .arg(eph._sqrt_A,10,'F',3).toLatin1(), true));
+#endif
       return false;
     }
@@ -1107,7 +1109,9 @@
     GETBITS(eph._almanac_health_availablility_indicator, 1) /* almanac health ok */
     if (eph._almanac_health_availablility_indicator == 0.0) {
+#ifdef BNC_DEBUG_BCEP
       emit(newMessage(QString("%1: Block %2 (%3): ALM = %4: missing data!")
            .arg(_staID).arg(1019,4).arg(eph._prn.toString().c_str())
            .arg(eph._almanac_health_availablility_indicator).toLatin1(), true));
+#endif
       return false;
     }
@@ -1148,6 +1152,8 @@
     GETBITS(eph._M_NT, 11) /* GLONASS-M Nt */
     if (eph._M_NT == 0.0) {
+#ifdef BNC_DEBUG_BCEP
       emit(newMessage(QString("%1: Block %2 (%3): NT = %4: missing data!")
            .arg(_staID).arg(1019,4).arg(eph._prn.toString().c_str()).arg(eph._M_NT,4).toLatin1(), true));
+#endif
       return false;
     }
@@ -1155,7 +1161,9 @@
     GETBITS(eph._additional_data_availability, 1) /* GLONASS-M The Availability of Additional Data */
     if (eph._additional_data_availability == 0.0) {
+#ifdef BNC_DEBUG_BCEP
       emit(newMessage(QString("%1: Block %2 (%3): ADD = %4: missing data!")
            .arg(_staID).arg(1019,4).arg(eph._prn.toString().c_str())
            .arg(eph._additional_data_availability).toLatin1(), true));
+#endif
       return false;
     }
@@ -1175,6 +1183,8 @@
     eph._xv(3) = eph._z_pos * 1.e3;
     if (eph._xv.Rows(1,3).NormFrobenius() < 1.0) {
+#ifdef BNC_DEBUG_BCEP
       emit(newMessage(QString("%1: Block %2 (%3): zero position!")
            .arg(_staID).arg(1019,4).arg(eph._prn.toString().c_str()).toLatin1(), true));
+#endif
       return false;
     }
@@ -1183,6 +1193,8 @@
     eph._xv(6) = eph._z_velocity * 1.e3;
     if (eph._xv.Rows(4,6).NormFrobenius() < 1.0) {
+#ifdef BNC_DEBUG_BCEP
       emit(newMessage(QString("%1: Block %2 (%3): zero velocity!")
            .arg(_staID).arg(1019,4).arg(eph._prn.toString().c_str()).toLatin1(), true));
+#endif
       return false;
     }
@@ -1232,7 +1244,9 @@
     GETFLOAT(eph._sqrt_A,      32, 1.0 / (double )(1 << 19))
     if (eph._sqrt_A < 1000.0) {
+#ifdef BNC_DEBUG_BCEP
       emit(newMessage(QString("%1: Block %2 (%3) SQRT_A %4 m!")
            .arg(_staID).arg(1044,4).arg(eph._prn.toString().c_str())
            .arg(eph._sqrt_A,10,'F',3).toLatin1(), true));
+#endif
       return false;
     }
@@ -1346,7 +1360,9 @@
     GETFLOAT(eph._sqrt_A,       32, 1.0 / (double )(1 << 19))
     if (eph._sqrt_A < 1000.0) {
+#ifdef BNC_DEBUG_BCEP
       emit(newMessage(QString("%1: Block %2 (%3) SQRT_A %4 m!")
            .arg(_staID).arg(1041,4).arg(eph._prn.toString().c_str())
            .arg(eph._sqrt_A,10,'F',3).toLatin1(), true));
+#endif
       return false;
     }
@@ -1395,6 +1411,8 @@
     pos(1) = eph._x_pos; pos(2) = eph._y_pos; pos(3) = eph._z_pos;
     if (pos.NormFrobenius() < 1.0) {
+#ifdef BNC_DEBUG_BCEP
       emit(newMessage(QString("%1: Block %2 (%3): zero position!")
            .arg(_staID).arg(1043,4).arg(eph._prn.toString().c_str()).toLatin1(), true));
+#endif
       return false;
     }
@@ -1477,14 +1495,18 @@
       GETBITS(eph._e1DataInValid, 1)
       if (eph._E5bHS != eph._E1_bHS) {
+#ifdef BNC_DEBUG_BCEP
         emit(newMessage(QString("%1: Block %2 (%3) SHS E5b %4 E1B %5: inconsistent health!")
              .arg(_staID).arg(1046,4).arg(eph._prn.toString().c_str())
              .arg(eph._E5bHS).arg(eph._E1_bHS).toLatin1(), true));
+#endif
         return false;
       }
       if ((eph._BGD_1_5A == 0.0 && fabs(eph._BGD_1_5B) > 1e-9) ||
           (eph._BGD_1_5B == 0.0 && fabs(eph._BGD_1_5A) > 1e-9)) {
+#ifdef BNC_DEBUG_BCEP
         emit(newMessage(QString("%1: Block %2 (%3) BGD_15a = %4 BGD_15b = %5: inconsistent BGD!")
              .arg(_staID).arg(1046,4).arg(eph._prn.toString().c_str())
              .arg(eph._BGD_1_5A,10,'E',3).arg(eph._BGD_1_5B,10,'E',3).toLatin1(), true));
+#endif
         return false;
       }
@@ -1504,7 +1526,9 @@
 
     if (eph._sqrt_A < 1000.0) {
+#ifdef BNC_DEBUG_BCEP
       emit(newMessage(QString("%1: Block %2 (%3) SQRT_A %4 m!")
            .arg(_staID).arg(eph._inav? 1046 : 1045,4).arg(eph._prn.toString().c_str())
            .arg(eph._sqrt_A,10,'F',3).toLatin1(), true));
+#endif
       return false;
     }
@@ -1556,7 +1580,9 @@
     GETFLOAT(eph._sqrt_A,      32, 1.0 / (double )(1 << 19))
     if (eph._sqrt_A < 1000.0) {
+#ifdef BNC_DEBUG_BCEP
       emit(newMessage(QString("%1: Block %2 (%3) SQRT_A %4 m!")
            .arg(_staID).arg(1042,4).arg(eph._prn.toString().c_str())
            .arg(eph._sqrt_A,10,'F',3).toLatin1(), true));
+#endif
       return false;
     }
@@ -1728,7 +1754,6 @@
           case 1001:
           case 1003:
-            emit(newMessage(
-                QString("%1: Block %2 contain partial data! Ignored!")
-                    .arg(_staID).arg(id).toLatin1(), true));
+            emit(newMessage(QString("%1: Block %2 contain partial data! Ignored!")
+                 .arg(_staID).arg(id).toLatin1(), true));
             break; /* no use decoding partial data ATM, remove break when data can be used */
           case 1002:
@@ -1739,7 +1764,6 @@
           case 1009:
           case 1011:
-            emit(newMessage(
-                QString("%1: Block %2 contain partial data! Ignored!")
-                    .arg(_staID).arg(id).toLatin1(), true));
+            emit(newMessage(QString("%1: Block %2 contain partial data! Ignored!")
+                 .arg(_staID).arg(id).toLatin1(), true));
             break; /* no use decoding partial data ATM, remove break when data can be used */
           case 1010:
